=== utils/packaging/daemon/deb/debian/changelog ===
opensnitch (1.8.0-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Sun, 23 Nov 2025 23:07:49 +0100

opensnitch (1.7.2-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Thu, 07 Aug 2025 21:32:19 +0200

opensnitch (1.7.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Fri, 20 Jun 2025 13:34:45 +0200

opensnitch (1.7.0.0-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Sat, 17 May 2025 11:21:11 +0200

opensnitch (1.7.0-rc.2-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Tue, 25 Mar 2025 23:30:10 +0100

opensnitch (1.7.0-rc.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Mon, 10 Feb 2025 00:24:29 +0100

opensnitch (1.6.6-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Thu, 20 Jun 2024 00:02:56 +0200

opensnitch (1.6.5-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Tue, 23 Jan 2024 21:25:33 +0100

opensnitch (1.6.2-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Mon, 31 Jul 2023 00:32:11 +0200

opensnitch (1.6.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Sun, 23 Jul 2023 22:13:33 +0200

opensnitch (1.6.0.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Thu, 15 Jun 2023 23:44:15 +0200

opensnitch (1.6.0-rc.5-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Sat, 18 Feb 2023 20:07:14 +0100

opensnitch (1.6.0-rc.4-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Thu, 22 Dec 2022 10:07:14 +0100

opensnitch (1.6.0-rc.3-1) unstable; urgency=medium

  * eBPF modules are now installed under /usr/lib/opensnitchd/.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Thu, 08 Dec 2022 11:13:09 +0100

opensnitch (1.6.0-rc.2-1) unstable; urgency=medium

  * New eBPF module to receive events (new execs, etc).
  * Allow to exclude connections from the events.
  * more on github

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Thu, 14 Jul 2022 00:15:19 +0200

opensnitch (1.6.0-rc.1-1) unstable; urgency=medium

  * Allow to configure firewall from the GUI.
  * New eBPF module to intercept outbound DNS requests.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Wed, 04 May 2022 00:55:54 +0200

opensnitch (1.5.0-1) unstable; urgency=medium

  * New release.
  * Added Reject option.
  * New lists types to block ads/malware/...
  * Better connections interception.
  * Better VPNs handling.
  * Bug fixes.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Fri, 28 Jan 2022 23:20:38 +0100

opensnitch (1.5.0~rc2-1) unstable; urgency=medium

  * Better connections interception.
  * Improvements.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Sun, 16 Jan 2022 23:15:12 +0100

opensnitch (1.5.0~rc1-1) unstable; urgency=medium

  * New features.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Thu, 07 Oct 2021 14:57:35 +0200

opensnitch (1.4.0-1) unstable; urgency=medium

  * final release.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Fri, 27 Aug 2021 13:33:07 +0200

opensnitch (1.4.0~rc4-1) unstable; urgency=medium

  * Bug fix release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 11 Aug 2021 15:17:49 +0200

opensnitch (1.4.0~rc3-1) unstable; urgency=medium

  * Bug fix release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Fri, 16 Jul 2021 23:28:52 +0200

opensnitch (1.4.0~rc2-1) unstable; urgency=medium

  * Added eBPF support.
  * Fixes and improvements.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Fri, 07 May 2021 01:08:02 +0200

opensnitch (1.4.0~rc-1) unstable; urgency=medium

  * Bug fix and improvements release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Thu, 25 Mar 2021 01:02:31 +0100

opensnitch (1.3.6-1) unstable; urgency=medium

  * Bug fix and improvements release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 10 Feb 2021 10:17:43 +0100

opensnitch (1.3.5-1) unstable; urgency=medium

  * Bug fix and improvements release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Mon, 11 Jan 2021 18:01:53 +0100

opensnitch (1.3.0-1) unstable; urgency=medium

  * Fixed how we check rules
  * Fixed cpu spike after disable interception.
  * Fixed cleaning up fw rules on exit.
  * make regexp rules case-insensitive by default
  * allow to filter by dst network.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 16 Dec 2020 01:15:03 +0100

opensnitch (1.3.0~rc-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Fri, 13 Nov 2020 00:51:34 +0100

opensnitch (1.2.0-1) unstable; urgency=medium

  * Fixed memleaks.
  * Sort rules by name
  * Added priority field to rules.
  * Other fixes

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Mon, 09 Nov 2020 22:55:13 +0100

opensnitch (1.0.1-1) unstable; urgency=medium

  * Fixed app exit when IPv6 is not supported.
  * Other fixes.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Thu, 30 Jul 2020 21:56:20 +0200

opensnitch (1.0.0-1) unstable; urgency=medium

  * v1.0.0 released.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Thu, 16 Jul 2020 00:19:26 +0200

opensnitch (1.0.0rc11-1) unstable; urgency=medium

  * Fixed multiple race conditions.
  * Fixed CWD parsing when using audit proc monitor method.


