=== utils/packaging/ui/deb/debian/changelog ===
opensnitch-ui (1.8.0-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Sun, 23 Nov 2025 23:08:36 +0100

opensnitch-ui (1.7.2-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Thu, 07 Aug 2025 21:32:59 +0200

opensnitch-ui (1.7.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Fri, 20 Jun 2025 13:35:37 +0200

opensnitch-ui (1.7.0.0-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Sat, 17 May 2025 11:21:42 +0200

opensnitch-ui (1.7.0-rc.2-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Tue, 25 Mar 2025 23:30:44 +0100

opensnitch-ui (1.7.0-rc.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Mon, 10 Feb 2025 00:25:21 +0100

opensnitch-ui (1.6.7-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Wed, 25 Dec 2024 21:34:39 +0100

opensnitch-ui (1.6.6-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Thu, 20 Jun 2024 00:03:33 +0200

opensnitch-ui (1.6.5.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Fri, 09 Feb 2024 13:56:13 +0100

opensnitch-ui (1.6.5-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Tue, 23 Jan 2024 21:26:13 +0100

opensnitch-ui (1.6.4-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Mon, 06 Nov 2023 00:29:15 +0100

opensnitch-ui (1.6.3-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Wed, 16 Aug 2023 22:19:51 +0200

opensnitch-ui (1.6.2-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Mon, 31 Jul 2023 00:33:48 +0200

opensnitch-ui (1.6.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Sun, 23 Jul 2023 22:14:13 +0200

opensnitch-ui (1.6.0.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Thu, 15 Jun 2023 23:44:50 +0200

opensnitch-ui (1.6.0-rc.5-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Sat, 18 Feb 2023 20:06:42 +0100

opensnitch-ui (1.6.0-rc.4-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Thu, 22 Dec 2022 10:06:42 +0100

opensnitch-ui (1.6.0-rc.3-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Tue, 15 Nov 2022 00:14:48 +0100

opensnitch-ui (1.6.0-rc.2-1) unstable; urgency=medium

  * Bugfixes.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Thu, 14 Jul 2022 00:20:00 +0200

opensnitch-ui (1.6.0-rc.1-1) unstable; urgency=medium

  * Allow to configure firewall from the GUI.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Wed, 04 May 2022 00:57:31 +0200

opensnitch-ui (1.5.0-1) unstable; urgency=medium

  * New release.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Fri, 28 Jan 2022 23:24:49 +0100

opensnitch-ui (1.5.0~rc2-1) unstable; urgency=medium

  * Performance improvements.
  * Better sqlite3 support.
  * Better system notifications.
  * Better user experience.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Sun, 16 Jan 2022 23:17:02 +0100

opensnitch-ui (1.5.0~rc1-1) unstable; urgency=medium

  * New features.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Thu, 07 Oct 2021 14:58:39 +0200

opensnitch-ui (1.4.0-1) unstable; urgency=medium

  * Final release.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Fri, 27 Aug 2021 13:35:06 +0200

opensnitch-ui (1.4.0~rc4-1) unstable; urgency=medium

  * UI improvements.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Wed, 11 Aug 2021 15:18:34 +0200

opensnitch-ui (1.4.0~rc3-1) unstable; urgency=medium

  * UI improvements.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Fri, 16 Jul 2021 23:30:47 +0200

opensnitch-ui (1.4.0~rc2-1) unstable; urgency=medium

  * Fixes and improvements.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Fri, 07 May 2021 01:08:51 +0200

opensnitch-ui (1.4.0~rc-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Thu, 25 Mar 2021 01:03:57 +0100

opensnitch-ui (1.3.6-1) unstable; urgency=medium

  * Bug fix and improvements release.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Wed, 10 Feb 2021 10:17:43 +0100

opensnitch-ui (1.3.5-1) unstable; urgency=medium

  * Bug fix and improvements release.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Mon, 11 Jan 2021 18:02:35 +0100

opensnitch-ui (1.3.0-1) unstable; urgency=medium

  * Allow to filter by dst networks.
  * Added check for configure showing pop-ups.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Wed, 16 Dec 2020 01:18:31 +0100

opensnitch-ui (1.3.0~rc-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Fri, 20 Nov 2020 13:32:07 +0100

opensnitch-ui (1.2.0-1) unstable; urgency=medium

  * Sort rules by name.
  * Allow to set priority on rules.
  * Rules are case-insensitive by default.
  * Other fixes.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Mon, 09 Nov 2020 23:00:38 +0100

opensnitch-ui (1.0.1-1) unstable; urgency=medium

  * Fixed crash when clicking on General tab columns.
  * Added literal DstHost to the pop-up combo box.
  * Shorten autogenerated rules names.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Tue, 28 Jul 2020 23:43:15 +0200

opensnitch-ui (1.0.0-1) unstable; urgency=medium

  * v1.0.0 released.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Thu, 16 Jul 2020 00:20:19 +0200

opensnitch-ui (1.0.0rc11-1) unstable; urgency=medium

  * Added CWD field.

