=== utils/packaging/ui/deb/debian/control ===
Source: opensnitch-ui
Maintainer: Gustavo Iñiguez Goia <gooffy1@gmail.com>
Uploaders: Gustavo Iniguez Goya <gooffy@gmail.com>,
Priority: optional
Homepage: https://github.com/evilsocket/opensnitch
Build-Depends:
 pyqt6-dev-tools,
 python3-grpc-tools,
 python3-all,
 debhelper (>= 7.4.3),
 dh-python
Standards-Version: 3.9.1


Package: python3-opensnitch-ui
Architecture: all
Section: net
Depends:
 netbase,
 pyqt6-dev-tools,
 libqt6sql6,
 libqt6sql6-sqlite,
 python3:any,
 python3-six,
 python3-pyqt6,
 python3-pyqt6.qtsvg,
 python3-pyinotify,
 python3-grpcio,
 python3-protobuf,
 python3-packaging,
 python3-slugify,
 python3-notify2,
 xdg-user-dirs,
 gtk-update-icon-cache
Recommends: python3-pyasn
Description: GNU/Linux interactive application firewall
 opensnitch-ui is a GUI for opensnitch written in Python.
 It allows the user to view live outgoing connections, as well as search
 for details of the intercepted connections.
 .
 The user can decide if block outgoing connections based on properties of
 the connection: by port, by uid, by dst ip, by program or a combination
 of them.
 .
 These rules can last forever, until restart the daemon or just one time.
 .
 OpenSnitch can also work as a system-wide domains blocker, by using lists
 of domains, list of IPs or list of regular expressions.
